> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all authors

> The "Get all authors" Api return the blog authors for a given location ID



## OpenAPI

````yaml /api-reference/blogs/openapi.json get /blogs/authors
openapi: 3.0.0
info:
  title: Blogs API
  description: Documentation for Blogs
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: blogs
    description: Documentation for Blogs
paths:
  /blogs/authors:
    get:
      summary: Get all authors
      description: >-
        The "Get all authors" Api return the blog authors for a given location
        ID
      operationId: get-all-blog-authors-by-location
      parameters:
        - name: limit
          required: true
          in: query
          schema:
            type: number
        - name: offset
          required: true
          in: query
          schema:
            type: number
        - name: searchTerm
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthorsResponseDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
components:
  schemas:
    AuthorsResponseDTO:
      type: object
      properties:
        authors:
          description: Array of authors
          type: array
          items:
            $ref: '#/components/schemas/BlogAuthorBase'
      required:
        - authors
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    BlogAuthorBase:
      type: object
      properties:
        locationId:
          type: string
        name:
          type: string
        description:
          type: string
        imageUrl:
          type: string
        imageAltText:
          type: string
        socials:
          type: array
          items:
            type: string
        originId:
          type: string
        canonicalLink:
          type: string
      required:
        - locationId
        - name
        - description
        - imageUrl
        - imageAltText
        - socials
        - originId
        - canonicalLink

````